<section class="content-header">
  <a [routerLink]="['/settings']">
    <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
      <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
    </svg> Settings</a>
  <h1 style="margin-top:10px">
    Features
  </h1>
  <ol class="breadcrumb">
    <li>
      <a [routerLink]="['/addFeature']" type="button" class="btn btn-net-primary">Add Feature</a>
    </li>
  </ol>
</section>

<section class="content" style="padding-top: 0px">
  <div class="box">
    <div class="box-body">
      <div class="row">
        <div class="col-md-3">
          <div class="ui-select__wrapper next-input--has-content">
            <select class="ui-select" [(ngModel)]="selectedFeature" (change)="SelectApplication()">
              <option *ngFor="let f of features" [ngValue]="f">{{f.featureName}}</option>
            </select>
            <svg class="icon_up_down_select" shape-rendering="geometricPrecision" class="next-icon next-icon--size-16"
              width="13" height="13">
              <use xlink:href="./assets/dist/img/icons.svg#icon_up_down_select"></use>
            </svg>
          </div>
        </div>
        <div class="col-md-2">
          <a href="javascript:void(0)" (click)="ViewMenu(menuMappingModal)">View Menu Mapping</a>
        </div>
        <div class="col-md-2">
            <a href="javascript:void(0)" (click)="ViewMenu(menuMappingModal)">View Menu</a>
          </div>
      </div>
      <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
        <div class="box-body table-responsive no-padding">
          <table class="table table-bordered table-striped dataTable table-hover">
            <tr>
              <th>FeatureName </th>
              <th>LinkId</th>
              <th>CreatedBy</th>
              <th>UpdatedBy</th>
            </tr>
            <tbody>
              <tr *ngFor="let user of featureList">
                <td width="300">
                  <strong>{{user.featureName}}</strong><br>
                  <div class="user-quick-actions">
                    <a [routerLink]="['/editFeature/' + user.featureID]" class="btn-xs btn-small btn-warning">Edit</a>
                    | <a href="javascript:void(0);" (click)="DeleteFeature(user.featureID)" class="btn-xs btn-small btn-danger">Delete</a>
                    | <a href="javascript:void(0);" (click)="featureModal.open()" class="btn-xs btn-small btn-net-primary">Add
                      to Menu</a>
                  </div>
                </td>
                <td>{{user.linkID}}</td>
                <td>{{user.createdBy}}</td>
                <td>{{user.updatedBy}}</td>
              </tr>
              <tr *ngIf="featureList.length == 0 && loading == true">
                <td colspan="4" class="text-center">
                  <svg id="icon_loading" width="60" height="60" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100"
                    preserveAspectRatio="xMidYMid" class="lds-eclipse" style="background:0 0">
                    <path d="M9.998 50.08a40 40 0 0 0 80-.16 40 42-.115 0 1-80 .16" fill="#0067C5">
                      <animateTransform attributeName="transform" type="rotate" calcMode="linear" values="0 50 51;360 50 51"
                        keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite" />
                    </path>
                  </svg>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <modal #featureModal>
    <modal-header>
      <span>Menu</span>
    </modal-header>
    <modal-content>
      <form #Loginform="ngForm" class="form-horizontal" novalidate>
        <div class="row">
          <div class="form-group col-md-12">
            <input type="text" class="form-control" placeholder="Role name" [(ngModel)]="menuModel.name" name="Name" />
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-12">
            <input type="text" class="form-control" placeholder="Url" [(ngModel)]="menuModel.url" name="Url" />
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-12">
            <input type="text" class="form-control" placeholder="Sequence Order" [(ngModel)]="menuModel.sequenceOrder" name="Sequence Order" />
          </div>
        </div>
      </form>
    </modal-content>
    <modal-footer>
      <button class="btn btn-default" (click)="featureModal.close()">
        Cancel
      </button>
      <button type="submit" class="btn btn-net-primary">Submit</button>
    </modal-footer>
  </modal>

  <modal #alertModal>
    <modal-header>
      <span>Alert!</span>
    </modal-header>
    <modal-content>
      Are you sure, you want to delete?
    </modal-content>
    <modal-footer>
      <button class="btn btn-default">
        No
      </button>
      <button type="submit" class="btn btn-danger">Yes</button>
    </modal-footer>
  </modal>

  <modal #menuMappingModal>
      <modal-header>
        <strong>Menu Mapping</strong>
      </modal-header>
      <modal-content>
        <div class="row">
          <div class="col-md-12">
            <ngx-treeview [config]="config" [items]="items">
            </ngx-treeview>
          </div>
        </div>
      </modal-content>
      <modal-footer>
        <button class="btn btn-default" (click)="menuMappingModal.close()">Close</button>
      </modal-footer>
    </modal>

</section>
